import { DataGridProps, CalculatedColumn, ISelectorEvent, IRange, ISelectRange } from "../types";
export declare function useSelection<R extends Record<string, any>, SR extends Record<string, any>>(rows: DataGridProps<R>["initialRows"], columns: readonly CalculatedColumn<R, SR>[], isCellWithinRange: (range: IRange) => boolean, rowKeyGetter: (row: {
    [key: string]: any;
}) => string, onSelectChange: DataGridProps<R>["onSelectChange"]): {
    selectedRange: ISelectRange;
    selectedRows: Set<string>;
    selectedColumns: Set<string>;
    isSelectedRangeEditable: boolean;
    handleSelect: (data: ISelectorEvent) => void;
};
//# sourceMappingURL=useSelection.d.ts.map